/*
 * configuration.js
 * ----------------
 * This file is automatically generated.
 * PLEASE DO NOT CHANGE unless you know what are you doing
 */
var HTTP_STATUS_CODES = {
  STATUS_OK: 200,
  STATUS_NO_CONTENT: 204
};
var LOCALE_NAME                                = 'spes-locale'; // costante: nome locale app
var LOGIN_URL                                  = 'main.html';   // indirizzo login
var DEFAULT_CONF_LANG                          = '[LANG]';          // it|en|...
var DEFAULT_TIME_FORMAT                        = '24h';         // 24h|ampm
var DEFAULT_DATE_FORMAT                        = 'dd/mm/yyyy';  // dd/mm/yyyy|mm/dd/yyyy
var DEFAULT_FIRST_DAY_OF_THE_WEEK              = 'sunday';      // sunday|monday
var DEFAULT_CONF_MEASUREFORMAT_TEMPERATURE     = "fahrenheit";  // celsius|fahrenheit
var DEFAULT_CONF_MEASUREFORMAT_ELECTRIC_POWER  = "kilowatt";    // kilowatt
var DEFAULT_CONF_MEASUREFORMAT_LUMINOSITY_FLUX = "lux";         // lux
var CLIENTTYPE_APP                             = 'app';         // tipo di client: APP
var CLIENTTYPE_BROWSER                         = 'browser';     // tipo di client: BROWSER

// false = abilita messaggi di debug (ND = NotDebug)
var ND_OBJ_INIT     = true;
var ND_OBJ_LOCALIZE = false;

var FEB_GUI_CONF = {
  "authenticationMode": "[TYPE]",       // "user"|"guest"
  "voltage": [VOLTAGE],                   // il voltaggio è un parametro proprio dell'impianto
  "maxClientGatewayAllowedGap": [GAP],        // due minuti di gap tra gateway e client
  "gatewayTimeZone": "[TIME_ZONE]",
  "gatewayHasNTP": [BOOL_NTP],
  "hashFunction": function(text) {
    return text;
  },
  "preferences": {
    "lang": DEFAULT_CONF_LANG,                        // IT|EN|...
    "dateTimeFormats": {
      "time": DEFAULT_TIME_FORMAT,                    // 24h|ampm
      "date": DEFAULT_DATE_FORMAT,                    // dd/mm/yyyy|mm/dd/yyyy
      "firstWeekDay": DEFAULT_FIRST_DAY_OF_THE_WEEK   // sunday|monday
    },
    "measuresFormats": {
      "temperature": DEFAULT_CONF_MEASUREFORMAT_TEMPERATURE,      // celsius|fahrenheit
      "luminosity": DEFAULT_CONF_MEASUREFORMAT_LUMINOSITY_FLUX,   // lux
      "current": DEFAULT_CONF_MEASUREFORMAT_ELECTRIC_POWER        // ampere|kilowatt
    },
  },
  "weekDays": {
    "threeLetters": [
      "Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"
    ]
  },
  "dimmerPeripheralDataScale": 65535,
  "dimmerPeripheralDataScaler": function(percentValue) {
    return Math.floor(percentValue * this.dimmerPeripheralDataScale / 100);
  },
  "RGBPeripheralDataScale": 65535,
  "RGBPeripheralDataScaler": function(percentValue) {
    return Math.floor(percentValue * this.RGBPeripheralDataScale / 255);
  }
};
